## canola2-tuning-plugin 0.2.2+git20090531~netbook3

=== debian/changelog ===
canola2-tuning-plugin (0.2.2+git20090531~netbook3) netbook-jaunty; urgency=low

  * Adding Section to the control file.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Tue, 22 Sep 2009 12:34:13 -0300

canola2-tuning-plugin (0.2.2+git20090531~netbook2) netbook-jaunty; urgency=low

  * Not removing the .py files anymore.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Tue, 22 Sep 2009 11:20:33 -0300

canola2-tuning-plugin (0.2.2+git20090531~netbook1) netbook-jaunty; urgency=low

  * First version of canola2-tuning-plugin packaging for ubuntu.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Mon, 21 Sep 2009 18:40:24 -0300
