=== debian/control ===
Source: canola2-tuning-plugin
Section: graphics
Priority: optional
Maintainer: Luis Felipe Strano Moraes <luis.strano@canonical.com>
Build-Depends: debhelper, python-all-dev (>= 2.5), zip
Standards-Version: 3.6.1

Package: canola2-tuning-plugin
Priority: optional
Architecture: all
Depends: canola2 (>= 2.0.0), python-mutagen, python-feedparser (>= 4.1), python-imaging, python-gtk2
Description: Canola tuning plugin for Canola2.
 Plugin for Canola2 to fetch album covers either locally and on the internet
 and generate video thumbnails.
 .
 Provides a feed handler, which is used to manipulate URL feeds about
 iradios, photocasts and podcasts selected by the user in the web browser.
